Name:           aventurine-yumconf
Version:        4.0.0
Release:        1
Packager:       Michael Stauber <mstauber@solarspeed.net>
Vendor:         SOLARSPEED.NET
URL:            http://www.solarspeed.net
License:        Proprietory
Group:          System Environment/Base
Distribution:   Aventurin{e} 6110R
BuildArch:      noarch
Source:         %{name}-%{version}-%{release}.tar.gz
Summary:        YUM Repository Config file for Aventurin{e} 6110R

Requires: 	genisoimage
Requires: 	dnsmasq
Requires: 	bash-completion
Requires: 	qemu-img
Requires: 	ipxe-roms-qemu
Requires: 	qemu-kvm-common
Requires: 	qemu-kvm-core

%description
YUM Repository Config file for Aventurin{e} 6110R

%prep
%setup -q -n %{name}-%{version}-%{release}
#%setup

%install
rm -rf $RPM_BUILD_ROOT
cd $RPM_BUILD_DIR/%{name}-%{version}-%{release}
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d
install -m644 etc/yum.repos.d/Aventurin.repo $RPM_BUILD_ROOT/etc/yum.repos.d/Aventurin.repo
mkdir -p $RPM_BUILD_ROOT/etc/modules-load.d
install -m644 etc/modules-load.d/br_netfilter.conf $RPM_BUILD_ROOT/etc/modules-load.d/br_netfilter.conf

%pre
dnf config-manager --set-enabled crb &>/dev/null || :

%post
modprobe br_netfilter &>/dev/null || :

%preun

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config(noreplace) /etc/yum.repos.d/Aventurin.repo
%config(noreplace) /etc/modules-load.d/br_netfilter.conf

%changelog

* Fri Mar 22 2024 Michael Stauber <mstauber@solarspeed.net> 4.0.0-1
- Updated build for 6110R for usage on BlueOnyx 5211R

* Sun Sep 01 2019 Michael Stauber <mstauber@solarspeed.net> 3.0.7-1
- Updated to give our repositories priority one.

* Fri Jun 07 2019 Michael Stauber <mstauber@solarspeed.net> 3.0.6-1
- Added /usr/libexec/ave-iptables-udp-config.py

* Fri Aug 24 2018 Michael Stauber <mstauber@solarspeed.net> 3.0.5-1
- Removed /usr/sausalito/configs/firewalld/direct.xml
- No longer disable NetworkManager
- Added /usr/libexec/ave-iptables-config.py

* Wed Aug 01 2018 Michael Stauber <mstauber@solarspeed.net> 3.0.4-1
- Added /usr/sausalito/configs/firewalld/direct.xml
- Firewalld is now retained enabled and uses our new config.
- Factory repo is now retained, but set to disabled.
- NetworkManager gets disabled and stopped on install.

* Sat Jul 21 2018 Michael Stauber <mstauber@solarspeed.net> 3.0.3-1
- Added pre-install to stop and disable firewalld
- Added pre-install to remove factory repo

* Sat Jul 21 2018 Michael Stauber <mstauber@solarspeed.net> 3.0.2-1
- GPG activated for repository.

* Sun Jul 31 2016 Michael Stauber <mstauber@solarspeed.net> 3.0.1-1
- Rebuild for 6109R
